https://mail.kde.org/pipermail/distributions/2022-April/001223.html
https://invent.kde.org/pim/kcalutils/-/commit/494331a28bb722b4ab4c38a2520f305b8f7ad8fa

From 494331a28bb722b4ab4c38a2520f305b8f7ad8fa Mon Sep 17 00:00:00 2001
From: Laurent Montel <montel@kde.org>
Date: Fri, 22 Apr 2022 19:06:36 +0200
Subject: [PATCH] Fix Bug 452480: Kmail doesn't display calendar invites

BUG:452480
FIXED-IN: 5.17.1
--- a/src/grantlee_plugin/CMakeLists.txt
+++ b/src/grantlee_plugin/CMakeLists.txt
@@ -21,6 +21,12 @@ target_link_libraries(kcalendar_grantlee_plugin
     KF5CalendarUtils
 )
 
-install(TARGETS kcalendar_grantlee_plugin
-        LIBRARY DESTINATION ${LIB_INSTALL_DIR}/KTextTemplate/${KTextTemplate_MAJOR_MINOR_VERSION_STRING}/
-)
+if (QT_MAJOR_VERSION STREQUAL "5")
+	install(TARGETS kcalendar_grantlee_plugin
+        	LIBRARY DESTINATION ${LIB_INSTALL_DIR}/grantlee/${Grantlee5_VERSION_MAJOR}.${Grantlee5_VERSION_MINOR}/
+	)
+else()
+	install(TARGETS kcalendar_grantlee_plugin
+        	LIBRARY DESTINATION ${LIB_INSTALL_DIR}/KTextTemplate/${KTextTemplate_MAJOR_MINOR_VERSION_STRING}/
+	)
+endif()
GitLab
